apiVersion: apps/v1
kind: Deployment
metadata:
  name: phpipam-web
spec:
  replicas: 1
  selector:
    matchLabels:
      app: phpipam-web
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        app: phpipam-web
    spec:
      containers:
        - env:
            - name: IPAM_DATABASE_HOST
              value: "phpipam-db"
            - name: IPAM_DATABASE_USER
              value: "root"
            - name: IPAM_DATABASE_PASS
              value: "Saasadmin1234@"
            - name: IPAM_DATABASE_WEBHOST
              value: "%"
            - name: IPAM_DATABASE_NAME
              value: "phpipam"
            - name: TZ
              value: "Asia/Seoul"
          image: phpipam/phpipam-www:latest
          name: phpipam-web
          ports:
            - containerPort: 80
          resources: {}
          volumeMounts:
            - mountPath: /phpipam/css/images/logo
              name: phpipam-logo
            - mountPath: /usr/local/share/ca-certificates
              name: phpipam-ca
              readOnly: true
      restartPolicy: Always
      volumes:
        - name: phpipam-logo
          persistentVolumeClaim:
            claimName: phpipam-logo
        - name: phpipam-ca
          persistentVolumeClaim:
            claimName: phpipam-ca
status: {}
